<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
   
      <link rel="stylesheet" href="private/helpwin.css">
      <title>MATLAB File Help: iData</title>
   </head>
   <body>
      <!--Single-page help-->
      <table border="0" cellspacing="0" width="100%">
         <tr class="subheader">
            <td class="headertitle">MATLAB File Help: iData</td>
            <td class="subheader-left">View code for iData</td>
            <td class="subheader-right">Default Topics</td>
         </tr>
      </table>
      <div class="title">iData</div>
      <div class="helptext"><pre><!--helptext -->  <span class="helptopic">iData</span> Create an <span class="helptopic">iData</span> object from given arguments.
    <span class="helptopic">iData</span> objects hold numeric information (arrays, structures, etc), and
    are manipulated just as single numbers. <span class="helptopic">iData</span> objects carry a signal, 
    axes, error bars, and metadata. You may create <span class="helptopic">iData</span> objects by
    converting Matlab variables, or by accessing e.g. a file or distant
    resource. <span class="helptopic">iData</span> objects may handle internal aliases (char that point
    to an other location in the object), or external links (see the LINK
    object).
 
    Main object properties
    ----------------------
 
      Signal:     The object 'value'. The Signal may be an alias.
      Title:      The Signal label
      Axis:       A list (cell) of axes for ranks 1-ndims. May be aliases.
      Error:      The Error bar on the Signal. May be an alias.
      Monitor     The Monitor, e.g. counting time, weight, etc. May be an alias.
      Name:       The Name of the object.
      Data:       The object unstructured data (usually imported).
 
    Usual methods
    -------------
 
    F = <span class="helptopic">iData</span>(FILE)             imports given FILE or directory.
 
    F = <span class="helptopic">iData</span>(X, Y, ... Signal) imports given numeric arrays as axes and Signal.
 
    F = <span class="helptopic">iData</span>(MODEL, P, X,...)  imports given iFunc MODEL evaluated with 
    parameters P and axes X... Any empty argument is guessed.
 
    <span class="helptopic">iData</span> FORMATS               lists all known file formats.
 
    FILE = saveas(<span class="helptopic">iData</span>, ...)     saves <span class="helptopic">iData</span> objects
 
    Mathematical operators (abs, sin, fft, etc).
 
    The configuration of the data formats is controled with 'ifitpref'.
 
  Example: a=<span class="helptopic">iData</span>; numel(a) == 1
  Example: a=<span class="helptopic">iData</span>(peaks); ndims(a) == 2
  Example: a=<span class="helptopic">iData</span>(gauss); ndims(a) == 1
  Example: a=<span class="helptopic">iData</span>(gauss2d); ndims(a) == 2</pre></div><!--after help --><!--seeAlso--><div class="footerlinktitle">See also</div><div class="footerlink"> set, get, findfield, importdata, load, ifitpref, ifitopen,
  iData/iData, iData/load, iData/saveas</div><!--overloaded--><div class="footerlinktitle">
    Overloaded methods:
</div><div class="footerlink">       iData_Sab/iData_Sab
       iData_Sqw2D/iData_Sqw2D
       iData_vDOS/iData_vDOS
</div>
      <!--Class-->
      <div class="sectiontitle">Class Details</div>
      <table class="class-details">
         <tr>
            <td class="class-detail-label">Superclasses</td>
            <td>dynamicprops</td>
         </tr>
         <tr>
            <td class="class-detail-label">Sealed</td>
            <td>false</td>
         </tr>
         <tr>
            <td class="class-detail-label">Construct on load</td>
            <td>false</td>
         </tr>
      </table>
      <!--Constructors-->
      <div class="sectiontitle"><a name="constructors"></a>Constructor Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">iData</td>
            <td class="m-help">Create an IDATA object from given arguments.&nbsp;</td>
         </tr>
      </table>
      <!--Properties-->
      <div class="sectiontitle"><a name="properties"></a>Property Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">Attributes</td>
            <td class="m-help">Attributes (structure that mimics the Data)&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Axis</td>
            <td class="m-help">Axes for the Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Data</td>
            <td class="m-help">Imported data.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Date</td>
            <td class="m-help">Date of creation of the object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Error</td>
            <td class="m-help">Error bar on the Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Format</td>
            <td class="m-help">Format of the initial data, as text.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Label</td>
            <td class="m-help">Labels of Axes.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Loader</td>
            <td class="m-help">Loader configuration (struct).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Monitor</td>
            <td class="m-help">Monitor, e.g. counting time, weight, etc.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Name</td>
            <td class="m-help">Name of the object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Signal</td>
            <td class="m-help">Signal (vs Axes).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Source</td>
            <td class="m-help">Source of the data, e.g. file name, URL, etc.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Tag</td>
            <td class="m-help">Object unique ID.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Title</td>
            <td class="m-help">Label for_Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">UserData</td>
            <td class="m-help">An area to store what you want.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">cache</td>
            <td class="m-help">&nbsp;</td>
         </tr>
      </table>
      <!--Methods-->
      <div class="sectiontitle"><a name="methods"></a>Method Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">abs</td>
            <td class="m-help">Absolute value of object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">acos</td>
            <td class="m-help">Inverse cosine, result in radians.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">acosh</td>
            <td class="m-help">Inverse hyperbolic cosine.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">addlistener</td>
            <td class="m-help">Add listener for event.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">addprop</td>
            <td class="m-help">Add dynamic property to MATLAB object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">all</td>
            <td class="m-help">True if all elements of object Signal are nonzero.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">and</td>
            <td class="m-help">&amp;      Logical AND (and).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">any</td>
            <td class="m-help">True if any element of a object Signal is a nonzero number&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">arrayfun</td>
            <td class="m-help">Apply a function to each element of iData array.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">asin</td>
            <td class="m-help">Inverse sine, result in radians.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">asinh</td>
            <td class="m-help">Inverse hyperbolic sine.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">atan</td>
            <td class="m-help">Inverse tangent, result in radians.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">atanh</td>
            <td class="m-help">Inverse hyperbolic tangent.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">axescheck</td>
            <td class="m-help">Check the Signal and Axes of an object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">axis</td>
            <td class="m-help">Get/set axis definition or value in object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">binary</td>
            <td class="m-help">Handles binary operations.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cart2sph</td>
            <td class="m-help">Transform object from Cartesian to spherical coordinates.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cast</td>
            <td class="m-help">Cast object to a different data type or class.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cat</td>
            <td class="m-help">Concatenate objects.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ceil</td>
            <td class="m-help">Round towards plus infinity.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cell</td>
            <td class="m-help">Convert structure array to cell array.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">char</td>
            <td class="m-help">Convert object to character string.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">clabel</td>
            <td class="m-help">4-th axis object labels ('Color' axis label).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">clim</td>
            <td class="m-help">C limits (4th axis).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">combine</td>
            <td class="m-help">Combines (merge) objects Signal and Axes.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">conj</td>
            <td class="m-help">Complex conjugate.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">contour</td>
            <td class="m-help">Contour plot.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">contour3</td>
            <td class="m-help">3D contour plot.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">contourf</td>
            <td class="m-help">Filled contour plot.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">conv</td>
            <td class="m-help">N-dimensional convolution.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">convn</td>
            <td class="m-help">N-dimensional normalised convolution.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">copyobj</td>
            <td class="m-help">Makes a deep copy of initial object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cos</td>
            <td class="m-help">Cosine of argument in radians.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cosh</td>
            <td class="m-help">Hyperbolic cosine.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ctranspose</td>
            <td class="m-help">'   Complex conjugate transpose.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cumprod</td>
            <td class="m-help">Cumulative product of elements.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cumsum</td>
            <td class="m-help">Cumulative sum of elements.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">cumtrapz</td>
            <td class="m-help">Cumulative trapezoidal numerical integration.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">deconv</td>
            <td class="m-help">N-dimensional deconvolution and polynomial division.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">del2</td>
            <td class="m-help">Discrete Laplacian.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">delete</td>
            <td class="m-help">Delete a handle object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">diff</td>
            <td class="m-help">Difference and approximate derivative along 1st axis.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">display</td>
            <td class="m-help">Display object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">double</td>
            <td class="m-help">Convert to double precision.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">end</td>
            <td class="m-help">Last index in an indexing expression.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">eq</td>
            <td class="m-help">==     Equal (eq).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">event</td>
            <td class="m-help">Build an event list from a column-based data set.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">exp</td>
            <td class="m-help">Exponential.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">fileattrib</td>
            <td class="m-help">Get or set field Attributes.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">find</td>
            <td class="m-help">Find indices of nonzero Signal elements.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">findfield</td>
            <td class="m-help">Find fields type and number of elements in object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">findobj</td>
            <td class="m-help">Find objects matching specified conditions.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">findprop</td>
            <td class="m-help">Find property of MATLAB handle object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">findstr</td>
            <td class="m-help">Look for strings within object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">flipdim</td>
            <td class="m-help">Flip matrix along specified dimension.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">fliplr</td>
            <td class="m-help">Flip object Signal in left/right direction.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">flipud</td>
            <td class="m-help">Flip object Signal in up/down direction.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">floor</td>
            <td class="m-help">Round towards minus infinity.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">full</td>
            <td class="m-help">Convert sparse object to full matrix.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ge</td>
            <td class="m-help">&gt;=     Greater than or equal (ge).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">get</td>
            <td class="m-help">Get object property values.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">getframe</td>
            <td class="m-help">Get movie frame.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">gradient</td>
            <td class="m-help">Approximate gradient.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">gt</td>
            <td class="m-help">&gt;      Greater than (gt).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">help</td>
            <td class="m-help">Display object information as a Dialogue window or a structure.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">hist</td>
            <td class="m-help">Computes the accumulated histogram from event data sets.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">imag</td>
            <td class="m-help">Complex imaginary part.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">int32</td>
            <td class="m-help">Convert to int32.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">interpn</td>
            <td class="m-help">N-D object interpolation (table lookup).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">intersect</td>
            <td class="m-help">Object axes intersection.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isempty</td>
            <td class="m-help">True for empty object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isequal</td>
            <td class="m-help">True if object Signals are numerically equal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isfield</td>
            <td class="m-help">True if field is in object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isfinite</td>
            <td class="m-help">True for finite elements in Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isfloat</td>
            <td class="m-help">True for floating point object, both single and double.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isinf</td>
            <td class="m-help">True for infinite elements.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isinteger</td>
            <td class="m-help">True for objects of integer data type.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isnan</td>
            <td class="m-help">True for Not-a-Number (NaN).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isnumeric</td>
            <td class="m-help">True for numeric arrays.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isreal</td>
            <td class="m-help">True for real object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isscalar</td>
            <td class="m-help">True if array is a scalar.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">issparse</td>
            <td class="m-help">True for sparse matrix.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isstruct</td>
            <td class="m-help">True for structures.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">Sealed 
               &nbsp;
               
            </td>
            <td class="name">isvalid</td>
            <td class="m-help">Test handle validity.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">isvector</td>
            <td class="m-help">True if array is a vector.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">label</td>
            <td class="m-help">Get or set label for a given axis.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ldivide</td>
            <td class="m-help">.\     Combine (left object divide, ldivide).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">le</td>
            <td class="m-help">&lt;=     Less than or equal (le).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">linspace</td>
            <td class="m-help">Linearly spaced objects.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">load</td>
            <td class="m-help">Import data into Matlab. &nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">log</td>
            <td class="m-help">Natural logarithm.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">log10</td>
            <td class="m-help">Common (base 10) logarithm.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">logical</td>
            <td class="m-help">Convert to logical (0=false, any other=true).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">lt</td>
            <td class="m-help">&lt;      Less than (lt).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">max</td>
            <td class="m-help">Largest component.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">mean</td>
            <td class="m-help">Average or mean value of Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">median</td>
            <td class="m-help">Median value of Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">meshgrid</td>
            <td class="m-help">Cartesian grid object in 2-D/3-D/n-D space.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">min</td>
            <td class="m-help">Smallest component.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">minus</td>
            <td class="m-help">-      Minus.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">mldivide</td>
            <td class="m-help">\      Combine (left object divide, mldivide).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">moveaxis</td>
            <td class="m-help">Shifts an object axis of specified rank by a value.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">mpower</td>
            <td class="m-help">^      Object power.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">mrdivide</td>
            <td class="m-help">/      Slash or right matrix divide.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">mtimes</td>
            <td class="m-help">*      Object multiply (mtimes).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ndims</td>
            <td class="m-help">Get the dimensionality of iData object (Signal).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ne</td>
            <td class="m-help">~=     Not equal (ne).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">norm</td>
            <td class="m-help">Object norm.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">not</td>
            <td class="m-help">~      Logical NOT.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">notify</td>
            <td class="m-help">Notify listeners of event.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ones</td>
            <td class="m-help">Ones array.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">or</td>
            <td class="m-help">|      Logical OR (or).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">pcolor</td>
            <td class="m-help">Pseudocolor (checkerboard) plot.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">permute</td>
            <td class="m-help">Permute object dimensions.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">plot</td>
            <td class="m-help">Display a plot of an object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">plot3</td>
            <td class="m-help">Plot a 2D/3D object as separate points or semi-transparent volume.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">plus</td>
            <td class="m-help">+      Plus.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">power</td>
            <td class="m-help">.^     Object power.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">prod</td>
            <td class="m-help">Product of elements.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">rdivide</td>
            <td class="m-help">./     Right object divide.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">real</td>
            <td class="m-help">Complex real part.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">reducevolume</td>
            <td class="m-help">Reduce an object size.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">repmat</td>
            <td class="m-help">Replicate and tile an array.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">reshape</td>
            <td class="m-help">Reshape object (reorder).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">resize</td>
            <td class="m-help">Resize/rebin an object to a new size, with interpolation.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">rmaxis</td>
            <td class="m-help">Remove an axis from object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">rmfield</td>
            <td class="m-help">Remove fields from a structure array.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">round</td>
            <td class="m-help">Round towards nearest integer.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">runtests</td>
            <td class="m-help">Run a set of tests on object methods.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">saveas</td>
            <td class="m-help">Save data in desired output format&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">scatter</td>
            <td class="m-help">Scatter/bubble 2D-3D plot.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">scatter3</td>
            <td class="m-help">Scatter/bubble 2D-3D plot.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">set</td>
            <td class="m-help">Set object properties.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">sign</td>
            <td class="m-help">Signum function.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">sin</td>
            <td class="m-help">Sine of argument in radians.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">single</td>
            <td class="m-help">Convert to SINGLE precision.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">sinh</td>
            <td class="m-help">Hyperbolic sine.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">size</td>
            <td class="m-help">Get object size.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">slice</td>
            <td class="m-help">Volumetric interactive slice plot.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">sort</td>
            <td class="m-help">Sort axes in ascending or descending order.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">sparse</td>
            <td class="m-help">Create sparse matrix.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">sqrt</td>
            <td class="m-help">Square root.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">squeeze</td>
            <td class="m-help">Remove singleton dimensions from objects.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">std</td>
            <td class="m-help">Standard deviation of object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">strfind</td>
            <td class="m-help">Find a string within object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">subplot</td>
            <td class="m-help">Display objects as a grid in tiled positions.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">subsasgn</td>
            <td class="m-help">Subscripted assignment.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">subsref</td>
            <td class="m-help">Subscripted reference.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">sum</td>
            <td class="m-help">Sum of in object Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">surf</td>
            <td class="m-help">3-D colored surface.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">surfc</td>
            <td class="m-help">Combination surf/contour plot.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">surfl</td>
            <td class="m-help">3-D colored surface, with lighting.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">tan</td>
            <td class="m-help">Tangent of argument in radians.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">tanh</td>
            <td class="m-help">Hyperbolic tangent.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">times</td>
            <td class="m-help">.*     Object multiply (times).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">title</td>
            <td class="m-help">Signal title.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">transpose</td>
            <td class="m-help">.'     Transpose.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">trapz</td>
            <td class="m-help">Trapezoidal numerical integration.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">tree</td>
            <td class="m-help">Recursively display the content of a object and its sub-structures.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">uint32</td>
            <td class="m-help">Convert to uint32, e.g. for indexing.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">uminus</td>
            <td class="m-help">-  Unary minus.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">unary</td>
            <td class="m-help">Handles unary operations.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">union</td>
            <td class="m-help">Object axes union.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">uplus</td>
            <td class="m-help">+  Unary plus (copyobj).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">var</td>
            <td class="m-help">Variance of object Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">verbosity</td>
            <td class="m-help">Get or set the verbosity level.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">waterfall</td>
            <td class="m-help">Waterfall plot (2D/3D).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">xcorr</td>
            <td class="m-help">N-dimensional correlation of objects.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">xlabel</td>
            <td class="m-help">X-axis object label (rank2, columns).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">xlim</td>
            <td class="m-help">X limits (2nd axis for ndims&gt;=2).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">xor</td>
            <td class="m-help">Logical EXCLUSIVE OR.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ylabel</td>
            <td class="m-help">Y-axis object label (rank 1, rows).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">ylim</td>
            <td class="m-help">Y limits (1st axis for ndims&gt;=2).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">zeros</td>
            <td class="m-help">Zeros array.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">zlabel</td>
            <td class="m-help">Z-axis object label (rank 3, pages).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">zlim</td>
            <td class="m-help">Z limits (3rd axis).&nbsp;</td>
         </tr>
      </table>
   </body>
</html> 
